Home Information Classes Download Usage Mail List Requirements Links Tutorial

# Whistle Class Reference

STK police/referee whistle instrument class. More...

`#include <Whistle.h>`

Inheritance diagram for Whistle:

List of all members.

## Public Member Functions

| Whistle ()
| Class constructor.
| ~Whistle ()
| Class destructor.
void | clear ()
| Reset and clear all internal state.
void | setFrequency (MY_FLOAT frequency)
| Set instrument parameters for a particular frequency.
void | startBlowing (MY_FLOAT amplitude, MY_FLOAT rate)
| Apply breath velocity to instrument with given amplitude and rate of increase.
void | stopBlowing (MY_FLOAT rate)
| Decrease breath velocity with given rate of decrease.
void | noteOn (MY_FLOAT frequency, MY_FLOAT amplitude)
| Start a note with the given frequency and amplitude.
void | noteOff (MY_FLOAT amplitude)
| Stop a note with the given amplitude (speed of decay).
MY_FLOAT | tick ()
| Compute one output sample.
void | controlChange (int number, MY_FLOAT value)
| Perform the control change specified by number and value (0.0 - 128.0).

## Detailed Description

STK police/referee whistle instrument class.

This class implements a hybrid physical/spectral model of a police whistle (a la Cook).

Control Change Numbers:

- Noise Gain = 4
- Fipple Modulation Frequency = 11
- Fipple Modulation Gain = 1
- Blowing Frequency Modulation = 2
- Volume = 128

by Perry R. Cook 1996 - 2002.

Definition at line 30 of file Whistle.h.

The documentation for this class was generated from the following file:

- Whistle.h

The Synthesis ToolKit in C++ (STK)
©1995-2004 Perry R. Cook and Gary P. Scavone. All Rights Reserved.